Bug 8907 - startx doesn't start X-Windows
Summary: startx doesn't start X-Windows
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-26 19:53 UTC by derry
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-31 19:35:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description derry 2000-01-26 19:53:26 UTC
I upgraded from 5.2 to 6.0, and X-Windows crashes. Getting the following
error:
gnome_login_check: error in loading shared
libraries: /usr/lib/libgnomeui.so.32: undefined symbol:
gdk_imlib_get_cache_info
/usr/bin/gnome-session: error in loading shared
libraries: /usr/lib/libgnomeui.so.32: undefined symbol:
gdk_imlib_get_cache_info

I have a S3 Trio32/64 video card on an IBM PC350. X-Windows was working
before the upgrade.

Comment 1 Havoc Pennington 2000-01-31 19:35:59 UTC
You should be able to solve this problem by upgrading your Imlib package to the
latest version included on the 6.0 CD. GNOME and X in general should be even
nicer in the versions shipped with 6.1 and subsequent errata, however.
I'm not sure why the upgrade failed to install the proper Imlib though.

Comment 2 derry 2000-01-31 21:18:59 UTC
I performed the upgrade booting up using installation CD, and made sure package,
imlib, is selected, and proceed with the upgrade. Error doesn't go away. In a
subsequent upgrade, I upgraded gnome-libs only thinking that may be you meant
for me to upgrade gnome-libs instead of imlib, error still persists.

Comment 3 Havoc Pennington 2000-01-31 21:55:59 UTC
Please try installing the GNOME RPMs from here:
http://www.redhat.com/support/errata/RHEA1999059-01.html

Use "rpm -Uvh <packagenames>" to install them. Also get the 6.1 version of
Imlib from the mirror of your choice:
  http://www.redhat.com/download/mirror.html


Note You need to log in before you can comment on or make changes to this bug.